from flask import Flask
app = Flask(__name__)
import os
Basename = '/iotcloud'
# app.debug = True ( for any debug error to True that line ) 


# @app.route na searching route ex:[172.30.0.231:7000/hello] to view your flask project.
@app.route('/hello')
def hello_world():
   return "<h1>Hello World 123<h1/>"

@app.route('/')
def hello():
   return "<h1>Hello Justin Welcome<h1/>"

@app.route('/whoami')
def whoami():
   return "<h1>"+os.popen('whoami').read()+"<h1/>"
   # Which one you can return for this command [this is this system user name]

def cpuinfo():
   return "<pre>" "<h3>"+ os.popen('cat /proc/cpuinfo').read() +"<pre/>" "<h3/>"
   # return = Which one you can return for this command [this is system full information]
   # <pre> = To HTML tag Which Terminal output You Can Inset to Same output and display
app.add_url_rule (Basename+'/whoami','whoami',whoami)
app.add_url_rule (Basename+'/cpuinfo','cpuinfo',cpuinfo)

if __name__ == '__main__':
   app.run(host = '0.0.0.0' , port = '7000' , debug = True )
   # your access all type of IP address to add [host = '0.0.0.0'] Running on all IP addresses